Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1573079 - Node alert count shows NoData in UI
Summary: Node alert count shows NoData in UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: web-admin-tendrl-node-agent
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: gowtham
QA Contact: Filip Balák
URL:
Whiteboard:
Depends On:
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-04-30 07:25 UTC by gowtham
Modified: 2018-09-04 07:06 UTC (History)
7 users (show)

Fixed In Version: tendrl-node-agent-1.6.3-4.el7rhgs
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 07:05:15 UTC
Target Upstream Version:


Attachments (Terms of Use)
host alert count (43.88 KB, image/png)
2018-04-30 07:25 UTC, gowtham
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github Tendrl gluster-integration issues 625 0 None None None 2018-05-04 12:32:20 UTC
Github Tendrl node-agent issues 800 0 None None None 2018-04-30 07:26:59 UTC
Red Hat Product Errata RHSA-2018:2616 0 None None None 2018-09-04 07:06:23 UTC

Description gowtham 2018-04-30 07:25:34 UTC
Created attachment 1428687 [details]
host alert count

Description of problem:

After un-manage flow, if we import cluster again then node_alert_count is always showing NoData in UI.

Version-Release number of selected component (if applicable):


How reproducible:
Un-manage a cluster using tendrl-ui and then import the same cluster again. After import flow completed successfully check host page in UI, node alert count will show NoData.

Steps to Reproduce:
1. Un-manage a cluster
2. Import the same cluster again
3. After import flow completed successfully check host page
4. An alert count is displayed using a value NoData

Actual results:

An alert count is showing a value NoData


Expected results:
The alert count should be initialized with zero

Additional info:

Comment 5 gowtham 2018-05-15 08:45:16 UTC
I have attached two github issue ids, but the only node_agent issue is valid and gluster integration issue is not valid, it is actually closed. So i am adding only node-agent version in FIV.

Comment 6 Filip Balák 2018-05-23 13:48:01 UTC
Seems ok. --> VERIFIED

Tested with:
tendrl-ansible-1.6.3-4.el7rhgs.noarch
tendrl-api-1.6.3-3.el7rhgs.noarch
tendrl-api-httpd-1.6.3-3.el7rhgs.noarch
tendrl-commons-1.6.3-5.el7rhgs.noarch
tendrl-grafana-plugins-1.6.3-3.el7rhgs.noarch
tendrl-grafana-selinux-1.5.4-2.el7rhgs.noarch
tendrl-monitoring-integration-1.6.3-3.el7rhgs.noarch
tendrl-node-agent-1.6.3-5.el7rhgs.noarch
tendrl-notifier-1.6.3-3.el7rhgs.noarch
tendrl-selinux-1.5.4-2.el7rhgs.noarch
tendrl-ui-1.6.3-2.el7rhgs.noarch

Comment 8 errata-xmlrpc 2018-09-04 07:05:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2616


Note You need to log in before you can comment on or make changes to this bug.